Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
QwtPlotSeriesItem< T > Class Template Reference

`#include <qwt_plot_seriesitem.h>`

Inheritance diagram for QwtPlotSeriesItem< T >:
[legend]

List of all members.

## Public Member Functions

| QwtPlotSeriesItem (const QString &title=QString::null)
| QwtPlotSeriesItem (const QwtText &title)
virtual | ~QwtPlotSeriesItem ()
virtual QRectF | boundingRect () const
QwtSeriesData< T > * | data ()
const QwtSeriesData< T > * | data () const
size_t | dataSize () const
T | sample (int index) const
void | setData (QwtSeriesData< T > *)
virtual void | updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &)
Public Member Functions inherited from QwtPlotAbstractSeriesItem
| QwtPlotAbstractSeriesItem (const QString &title=QString::null)
| QwtPlotAbstractSeriesItem (const QwtText &title)
virtual | ~QwtPlotAbstractSeriesItem ()
virtual void | draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &) const
virtual void | drawSeries (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const =0
Qt::Orientation | orientation () const
void | setOrientation (Qt::Orientation)
Public Member Functions inherited from QwtPlotItem
| QwtPlotItem (const QwtText &title=QwtText())
virtual | ~QwtPlotItem ()
void | attach (QwtPlot *plot)
void | detach ()
void | hide ()
bool | isVisible () const
virtual void | itemChanged ()
virtual QWidget * | legendItem () const
QRectF | paintRect (const QwtScaleMap &, const QwtScaleMap &) const
QwtPlot * | plot () const
virtual int | rtti () const
QRectF | scaleRect (const QwtScaleMap &, const QwtScaleMap &) const
void | setAxes (int xAxis, int yAxis)
void | setItemAttribute (ItemAttribute, bool on=true)
void | setRenderHint (RenderHint, bool on=true)
void | setTitle (const QString &title)
void | setTitle (const QwtText &title)
virtual void | setVisible (bool)
void | setXAxis (int axis)
void | setYAxis (int axis)
void | setZ (double z)
void | show ()
bool | testItemAttribute (ItemAttribute) const
bool | testRenderHint (RenderHint) const
const QwtText & | title () const
virtual void | updateLegend (QwtLegend *) const
int | xAxis () const
int | yAxis () const
double | z () const
Public Member Functions inherited from QwtLegendItemManager
| QwtLegendItemManager ()
virtual | ~QwtLegendItemManager ()
virtual void | drawLegendIdentifier (QPainter *, const QRectF &) const

## Protected Attributes

QwtSeriesData< T > * | d_series

## Detailed Description

### template<typename T>
class QwtPlotSeriesItem< T >

Class template for plot items representing a series of samples.

## Constructor & Destructor Documentation

template<typename T >

QwtPlotSeriesItem< T >::QwtPlotSeriesItem | ( | const QString & | title = `QString::null` | ) |

explicit

Constructor

Parameters:

  title | Title of the series item

template<typename T >

QwtPlotSeriesItem< T >::QwtPlotSeriesItem | ( | const QwtText & | title | ) |

explicit

Constructor

Parameters:

  title | Title of the series item

## Member Function Documentation

template<typename T >

QRectF QwtPlotSeriesItem< T >::boundingRect | ( |  | ) | const

virtual

Returns:
  Bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid.

See also:
  QwtSeriesData<T>::boundingRect(), QRectF::isValid()

Reimplemented from QwtPlotItem.

Reimplemented in QwtPlotIntervalCurve, and QwtPlotHistogram.

template<typename T >

QwtSeriesData< T > * QwtPlotSeriesItem< T >::data | ( |  | ) |

inline

Returns:
  the the curve data

template<typename T >

const QwtSeriesData< T > * QwtPlotSeriesItem< T >::data | ( |  | ) | const

inline

Returns:
  the the curve data

template<typename T >

size_t QwtPlotSeriesItem< T >::dataSize | ( |  | ) | const

Return the size of the data arrays

See also:
  setData()

template<typename T >

T QwtPlotSeriesItem< T >::sample | ( | int | index | ) | const

inline

Parameters:

  index | Index

Returns:
  Sample at position index

template<typename T>

void QwtPlotSeriesItem< T >::setData | ( | QwtSeriesData< T > * | data | ) |

Assign a series of samples

Parameters:

  data | Data

Warning:
  The item takes ownership of the data object, deleting it when its not used anymore.

template<typename T >

void QwtPlotSeriesItem< T >::updateScaleDiv | ( | const QwtScaleDiv & | xScaleDiv,
|  | const QwtScaleDiv & | yScaleDiv
| ) |  |

virtual

Update the rect of interest according to the current scale ranges

Parameters:

  xScaleDiv | Scale division of the x-axis
  yScaleDiv | Scale division of the y-axis

See also:
  QwtSeriesData<T>::setRectOfInterest()

Reimplemented from QwtPlotItem.